function func_latexfig(f_height_div)
    % font_size: the font size used in the paper;
    % f_width: the figure width (in inches)
    % f_height: the figure height (in inches)

    % Font settings
    font_size = 14; 
    set(0,'defaulttextinterpreter','latex')
    set(0, 'defaultAxesTickLabelInterpreter','latex'); 
    set(0, 'defaultLegendInterpreter','latex');
    
    % Figure size settings 
    f_width   = 6.5;
    f_height  = f_width/f_height_div;
    
    font_rate=10/font_size;
    set(gcf,'Position',[100   200   round(f_width*font_rate*144)   round(f_height*font_rate*144)])

    set(findall(gcf,'-property','FontSize'),'FontSize',font_size)
    
end